package com.nisum.mongodb.repository;


import com.nisum.mongodb.model.User;

import java.util.List;

public interface UserDAO {
    /**
     * Get all users List
     * @return
     */
    List<User> getAllUsers();

    User getUserById(String userId);

    User addNewUser(User user);

    Object getAllUserSettings(String userId);

    String getUserSetting(String userId, String key);

    String addUserSetting(String userId, String key, String value);
}
